# Don't build the debugging utils by default.
%bcond_with utils

Name:		mISDN
Version:	1.1.5
Release:	15%{?dist}
Summary:	Userspace part of Modular ISDN stack

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.misdn.org/
Source0:	http://www.misdn.org/downloads/releases/mISDNuser-1_1_5.tar.gz
# From mISDN-1.1.5
Source1:	mISDNif.h
Source2:	mISDNdebugtool.h
Source3:	mISDN.rules
Patch0:		mISDN-build.patch
Patch1:		mISDN-1.1.5-format-string.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): shadow-utils

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%package devel
Summary:	Development files Modular ISDN stack
Group:		System Environment/Libraries
Requires:	mISDN = %{version}-%{release}

%package utils
Summary:	Debugging utilities for Modular ISDN stack
Group:		Applications/System

%description
mISDN (modular ISDN) is intended to be the new ISDN stack for the
Linux 2.6 kernel, from the maintainer of the existing isdn4linux
code. This package contains the userspace libraries required to
interface directly to mISDN.

%description devel
mISDN (modular ISDN) is intended to be the new ISDN stack for the
Linux 2.6 kernel, from the maintainer of the existing isdn4linux
code. This package contains the development files for userspace
libraries required to interface to mISDN, needed for compiling
applications which use mISDN directly such as OpenPBX.

%description utils
mISDN (modular ISDN) is intended to be the new ISDN stack for the
Linux 2.6 kernel, from the maintainer of the existing isdn4linux
code. This package contains test utilities for mISDN.

%prep
%setup -q -n mISDNuser-1_1_5
%patch0 -p0
%patch1 -p1
mkdir include/linux
cp %SOURCE1 include/linux
cp %SOURCE2 include/linux
rm -rf voip

%build
make CFLAGS="-I`pwd`/include $RPM_OPT_FLAGS" MISDNDIR=`pwd`


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT MISDNDIR=`pwd` LIBDIR=%_libdir
mkdir $RPM_BUILD_ROOT/%{_includedir}/mISDNuser/linux
install -m0644 %SOURCE1 $RPM_BUILD_ROOT/%{_includedir}/mISDNuser/linux/mISDNif.h
install -m0644 %SOURCE2 $RPM_BUILD_ROOT/%{_includedir}/mISDNuser/linux/mISDNdebugtool.h
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d
install -m0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/mISDN.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
getent group misdn >/dev/null || groupadd -r misdn -g 31
getent passwd misdn >/dev/null || \
    useradd -r -g misdn -d / -s /sbin/nologin -u 31 \
    -c "Modular ISDN" misdn
exit 0


%postun
/sbin/ldconfig

%files 
%defattr(-,root,root,-)
%_libdir/*.so.*
%doc COPYING.LIB LICENSE
%config(noreplace) %{_sysconfdir}/udev/rules.d/mISDN.rules
%exclude %_bindir/*

%files devel
%defattr(-,root,root,-)
%_includedir/mISDNuser
%_libdir/*.so
%exclude %_libdir/*.a

%if 0%{?with_utils}
%files utils
%defattr(-,root,root,-)
%_bindir/*
%endif

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 13 2015 Adam Jackson <ajax@redhat.com> 1.1.5-14
- Fix build with -Werror=format-security

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Jon Ciesla <limburgher@gmail.com> -1.1.5-9
- Migrate from fedora-usermgmt to guideline scriptlets.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.5-2
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 1.1.5-1
- Update to 1.1.5

* Wed May 30 2007 David Woodhouse <dwmw2@infradead.org> 1.1.3-1
- Update to 1.1.3

* Fri Feb 23 2007 David Woodhouse <dwmw2@infradead.org> 1.1.0-1
- Update to 1.1.0

* Sat Dec 16 2006 David Woodhouse <dwmw2@infradead.org> 1.0.3-1
- Update to 1.0.3

* Tue Oct 17 2006 David Woodhouse <dwmw2@infradead.org> 0-1.cvs20061010
- Initial import
